You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@climate.apache.org by le...@apache.org on 2014/12/05 05:59:21 UTC

[1/5] climate git commit: CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script

Repository: climate
Updated Branches:
  refs/heads/master 9bcae948c -> c8d49eb32


CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/ea719279
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/ea719279
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/ea719279

Branch: refs/heads/master
Commit: ea719279d9e257001d82bf9407fb9bfbe0985571
Parents: a8d84b1
Author: Lewis John McGibbney <le...@jpl.nasa.gov>
Authored: Thu Nov 13 15:42:29 2014 -0800
Committer: Lewis John McGibbney <le...@jpl.nasa.gov>
Committed: Thu Nov 13 15:42:29 2014 -0800

----------------------------------------------------------------------
 easy-ocw/install-ubuntu-12_04.sh | 189 ---------------------------------
 easy-ocw/install-ubuntu.sh       | 191 ++++++++++++++++++++++++++++++++++
 ocw-vm/init-ocw-vm.sh            |   2 +-
 3 files changed, 192 insertions(+), 190 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/climate/blob/ea719279/easy-ocw/install-ubuntu-12_04.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/install-ubuntu-12_04.sh b/easy-ocw/install-ubuntu-12_04.sh
deleted file mode 100755
index 2270eb0..0000000
--- a/easy-ocw/install-ubuntu-12_04.sh
+++ /dev/null
@@ -1,189 +0,0 @@
-#!/bin/bash
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#    http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-
-help()
-{
-cat << ENDHELP
-
-Easy OCW assists with the building of the Apache Open Climate Workbench and its dependencies
-
-Flags:
-    -h  Display this help message.
-    -e  Install and configure a virtualenv environment before installation.
-    -q  Quiet install. User prompts are removed (when possible).
-
-It is recommended that you pass -e when running this script. If you don't, parts
-of this installation will pollute your global Python install. If you're unsure,
-pass -e just to be safe!
-
-ENDHELP
-}
-
-header()
-{
-    echo
-    echo $1
-}
-
-task()
-{
-    echo " - " $1
-}
-
-subtask()
-{
-    echo "     " $1
-}
-
-echo
-echo "---------------------------------------------------------------------------"
-echo "                         Welcome to Easy OCW"
-echo "---------------------------------------------------------------------------"
-echo
-
-WITH_VIRTUAL_ENV=0
-WITH_HOMEBREW=0
-WITH_INTERACT=1
-
-while getopts ":h :e :q" FLAG
-do
-    case $FLAG in
-        h)
-            help
-            exit 1
-            ;;
-        e)
-            WITH_VIRTUAL_ENV=1
-            ;;
-        q)
-            WITH_INTERACT=0
-            ;;
-        ?)
-            help
-            exit 1
-            ;;
-    esac
-done
-
-if [ $WITH_INTERACT == 1 ]; then
-cat << ENDINTRO
-A number of dependencies for OCW will now be installed. Please check the wiki
-for a complete list of dependencies. Additionally, please read the wiki for
-useful installation guidelines and information that may be pertinent to your
-situation. All of this can be found at http://s.apache.org/3p2
-
-ENDINTRO
-
-if [ $WITH_VIRTUAL_ENV != 1 ]; then
-cat << VIRTUALENV_WARNING
-It is highly recommended that you allow Easy OCW to install the dependencies
-into a virtualenv environment to ensure that your global Python install is
-not affected. If you're unsure, you should pass the -e flag
-to this script. If you aren't concerned, or you want to create your own
-virtualenv environment, then feel free to ignore this message.
-
-VIRTUALENV_WARNING
-fi
-
-read -p "Press [ENTER] to begin installation ..."
-fi
-
-header "Checking for pip ..."
-if [ ! command -v pip >/dev/null 2>&1 ]; then
-    task "Unable to locate pip."
-    task "Installing Pip"
-    sudo apt-get install python-pip >> install_log
-    subtask "done"
-fi
-
-if [ $WITH_VIRTUAL_ENV == 1 ]; then
-    header "Setting up a virtualenv ..."
-
-    # Check if virtualenv is installed. If it's not, we'll install it for the user.
-    if ! command -v virtualenv >/dev/null 2>&1; then
-        task "Installing virtualenv ..."
-        sudo apt-get install -y python-virtualenv >> install_log
-        subtask "done"
-    fi
-
-    # Create a new environment for OCW work
-    task "Creating a new environment ..."
-    virtualenv ocw >> install_log
-    source ocw/bin/activate
-    subtask "done"
-fi
-
-# Install Continuum Analytics Anaconda Python distribution. This gives
-# almost all the dependencies that OCW needs in a single, easy to
-# install package.
-
-header "Installing Anaconda Python distribution ..."
-echo
-echo "*** NOTE *** When asked to update your PATH, you should respond YES."
-read -p "Press [ENTER] to continue ..."
-
-cd
-task "Downloading Anaconda ..."
-wget -O Anaconda-1.9.2-Linux-x86_64.sh "http://repo.continuum.io/archive/Anaconda-1.9.2-Linux-x86_64.sh" 2> install_log
-subtask "done"
-
-task "Installing ..."
-bash Anaconda-1.9.2-Linux-x86_64.sh
-export PATH="/home/vagrant/anaconda/bin:$PATH"
-subtask "done"
-
-# Install Basemap. Conda cannot be used for this install since
-# it fails to analyse the dependencies (at the time of writing). This
-# will install it manually. At some point, this should be replaced with
-# 'conda install basemap' once it is working again!
-header "Handling Basemap install ..."
-
-cd
-task "Downloading basemap ..."
-wget -O basemap-1.0.7.tar.gz "http://sourceforge.net/projects/matplotlib/files/matplotlib-toolkits/basemap-1.0.7/basemap-1.0.7.tar.gz/download" 2> install_log
-tar xzf basemap-1.0.7.tar.gz >> install_log
-subtask "done"
-
-# Install GEOS
-task "Installing GEOS dependency ..."
-cd basemap-1.0.7/geos-3.3.3
-export GEOS_DIR=/usr/local
-./configure --prefix=$GEOS_DIR >> install_log
-sudo make >> install_log
-sudo make install >> install_log
-subtask "done"
-
-# Install basemap
-task "Installing Basemap ..."
-cd ..
-python setup.py install >> install_log
-subtask "done"
-
-cd
-
-# Install miscellaneous Python packages needed for OCW. Some of these
-# can be installed with Conda, but since none of them have an annoying
-# compiled component we just installed them with Pip.
-header "Installing additional Python packages"
-pip install -r ocw-pip-dependencies.txt >> install_log
-
-# Ensure that the climate code is included in the Python Path
-header "Updating PYTHONPATH ..."
-echo "export PYTHONPATH=/home/vagrant/climate:/home/vagrant/climate/ocw/:/home/vagrant/climate/rcmet/src/main/python/rcmes" >> /home/vagrant/.bashrc
-subtask "done"

http://git-wip-us.apache.org/repos/asf/climate/blob/ea719279/easy-ocw/install-ubuntu.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/install-ubuntu.sh b/easy-ocw/install-ubuntu.sh
new file mode 100755
index 0000000..c7ba99a
--- /dev/null
+++ b/easy-ocw/install-ubuntu.sh
@@ -0,0 +1,191 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+help()
+{
+cat << ENDHELP
+
+Easy OCW assists with the building of the Apache Open Climate Workbench and its dependencies
+
+Flags:
+    -h  Display this help message.
+    -e  Install and configure a virtualenv environment before installation.
+    -q  Quiet install. User prompts are removed (when possible).
+
+It is recommended that you pass -e when running this script. If you don't, parts
+of this installation will pollute your global Python install. If you're unsure,
+pass -e just to be safe!
+
+N.B. This install script has been tested against Ubuntu 12.04 and 14.04.
+Please report problems with this script to dev@climate.apache.org
+ENDHELP
+}
+
+header()
+{
+    echo
+    echo $1
+}
+
+task()
+{
+    echo " - " $1
+}
+
+subtask()
+{
+    echo "     " $1
+}
+
+echo
+echo "---------------------------------------------------------------------------"
+echo "                         Welcome to Easy OCW"
+echo "---------------------------------------------------------------------------"
+echo
+
+WITH_VIRTUAL_ENV=0
+WITH_HOMEBREW=0
+WITH_INTERACT=1
+
+while getopts ":h :e :q" FLAG
+do
+    case $FLAG in
+        h)
+            help
+            exit 1
+            ;;
+        e)
+            WITH_VIRTUAL_ENV=1
+            ;;
+        q)
+            WITH_INTERACT=0
+            ;;
+        ?)
+            help
+            exit 1
+            ;;
+    esac
+done
+
+if [ $WITH_INTERACT == 1 ]; then
+cat << ENDINTRO
+A number of dependencies for OCW will now be installed. Please check the wiki
+for a complete list of dependencies. Additionally, please read the wiki for
+useful installation guidelines and information that may be pertinent to your
+situation. All of this can be found at http://s.apache.org/3p2
+
+ENDINTRO
+
+if [ $WITH_VIRTUAL_ENV != 1 ]; then
+cat << VIRTUALENV_WARNING
+It is highly recommended that you allow Easy OCW to install the dependencies
+into a virtualenv environment to ensure that your global Python install is
+not affected. If you're unsure, you should pass the -e flag
+to this script. If you aren't concerned, or you want to create your own
+virtualenv environment, then feel free to ignore this message.
+
+VIRTUALENV_WARNING
+fi
+
+read -p "Press [ENTER] to begin installation ..."
+fi
+
+header "Checking for pip ..."
+if [ ! command -v pip >/dev/null 2>&1 ]; then
+    task "Unable to locate pip."
+    task "Installing Pip"
+    sudo apt-get install python-pip >> install_log
+    subtask "done"
+fi
+
+if [ $WITH_VIRTUAL_ENV == 1 ]; then
+    header "Setting up a virtualenv ..."
+
+    # Check if virtualenv is installed. If it's not, we'll install it for the user.
+    if ! command -v virtualenv >/dev/null 2>&1; then
+        task "Installing virtualenv ..."
+        sudo apt-get install -y python-virtualenv >> install_log
+        subtask "done"
+    fi
+
+    # Create a new environment for OCW work
+    task "Creating a new environment ..."
+    virtualenv ocw >> install_log
+    source ocw/bin/activate
+    subtask "done"
+fi
+
+# Install Continuum Analytics Anaconda Python distribution. This gives
+# almost all the dependencies that OCW needs in a single, easy to
+# install package.
+
+header "Installing Anaconda Python distribution ..."
+echo
+echo "*** NOTE *** When asked to update your PATH, you should respond YES."
+read -p "Press [ENTER] to continue ..."
+
+cd
+task "Downloading Anaconda ..."
+wget -O Anaconda-1.9.2-Linux-x86_64.sh "http://repo.continuum.io/archive/Anaconda-1.9.2-Linux-x86_64.sh" 2> install_log
+subtask "done"
+
+task "Installing ..."
+bash Anaconda-1.9.2-Linux-x86_64.sh
+export PATH="${HOME}/anaconda/bin:$PATH"
+subtask "done"
+
+# Install Basemap. Conda cannot be used for this install since
+# it fails to analyse the dependencies (at the time of writing). This
+# will install it manually. At some point, this should be replaced with
+# 'conda install basemap' once it is working again!
+header "Handling Basemap install ..."
+
+cd
+task "Downloading basemap ..."
+wget -O basemap-1.0.7.tar.gz "http://sourceforge.net/projects/matplotlib/files/matplotlib-toolkits/basemap-1.0.7/basemap-1.0.7.tar.gz/download" 2> install_log
+tar xzf basemap-1.0.7.tar.gz >> install_log
+subtask "done"
+
+# Install GEOS
+task "Installing GEOS dependency ..."
+cd basemap-1.0.7/geos-3.3.3
+export GEOS_DIR=/usr/local
+./configure --prefix=$GEOS_DIR >> install_log
+sudo make >> install_log
+sudo make install >> install_log
+subtask "done"
+
+# Install basemap
+task "Installing Basemap ..."
+cd ..
+python setup.py install >> install_log
+subtask "done"
+
+cd
+
+# Install miscellaneous Python packages needed for OCW. Some of these
+# can be installed with Conda, but since none of them have an annoying
+# compiled component we just installed them with Pip.
+header "Installing additional Python packages"
+pip install -r ocw-pip-dependencies.txt >> install_log
+
+# Ensure that the climate code is included in the Python Path
+header "Updating PYTHONPATH ..."
+echo "export PYTHONPATH=${HOME}/climate:${HOME}/climate/ocw" >> /home/.bashrc
+subtask "done"

http://git-wip-us.apache.org/repos/asf/climate/blob/ea719279/ocw-vm/init-ocw-vm.sh
----------------------------------------------------------------------
diff --git a/ocw-vm/init-ocw-vm.sh b/ocw-vm/init-ocw-vm.sh
index 658a494..7a71dee 100755
--- a/ocw-vm/init-ocw-vm.sh
+++ b/ocw-vm/init-ocw-vm.sh
@@ -50,7 +50,7 @@ cp climate/easy-ocw/install-ubuntu-12_04.sh .
 # Copy the requirements files for conda and pip used by Easy-OCW
 cp climate/easy-ocw/*.txt .
 
-bash install-ubuntu-12_04.sh -q
+bash install-ubuntu.sh -q
 
 # Set symlink for the UI frontend code
 cd climate/ocw-ui/backend


[2/5] climate git commit: CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script

Posted by le...@apache.org.
CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/bf966683
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/bf966683
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/bf966683

Branch: refs/heads/master
Commit: bf966683d2e828864ac88fd5b1d88e8f74a25534
Parents: ea71927
Author: Lewis John McGibbney <le...@jpl.nasa.gov>
Authored: Thu Nov 13 15:55:15 2014 -0800
Committer: Lewis John McGibbney <le...@jpl.nasa.gov>
Committed: Thu Nov 13 15:55:15 2014 -0800

----------------------------------------------------------------------
 easy-ocw/install-ubuntu.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/climate/blob/bf966683/easy-ocw/install-ubuntu.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/install-ubuntu.sh b/easy-ocw/install-ubuntu.sh
index c7ba99a..3b96214 100755
--- a/easy-ocw/install-ubuntu.sh
+++ b/easy-ocw/install-ubuntu.sh
@@ -187,5 +187,5 @@ pip install -r ocw-pip-dependencies.txt >> install_log
 
 # Ensure that the climate code is included in the Python Path
 header "Updating PYTHONPATH ..."
-echo "export PYTHONPATH=${HOME}/climate:${HOME}/climate/ocw" >> /home/.bashrc
+echo "export PYTHONPATH=${HOME}/climate:${HOME}/climate/ocw" >> ${HOME}/.bashrc
 subtask "done"


[4/5] climate git commit: CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script

Posted by le...@apache.org.
CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/38278829
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/38278829
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/38278829

Branch: refs/heads/master
Commit: 38278829c68cda55583683e587eed322e9f31e65
Parents: 8617af0
Author: Lewis John McGibbney <le...@jpl.nasa.gov>
Authored: Thu Dec 4 20:43:21 2014 -0800
Committer: Lewis John McGibbney <le...@jpl.nasa.gov>
Committed: Thu Dec 4 20:43:21 2014 -0800

----------------------------------------------------------------------
 easy-ocw/install-ubuntu.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/climate/blob/38278829/easy-ocw/install-ubuntu.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/install-ubuntu.sh b/easy-ocw/install-ubuntu.sh
index f004330..637f0e8 100755
--- a/easy-ocw/install-ubuntu.sh
+++ b/easy-ocw/install-ubuntu.sh
@@ -190,5 +190,5 @@ pip install -r ocw-pip-dependencies.txt >> install_log
 
 # Ensure that the climate code is included in the Python Path
 header "Updating PYTHONPATH with ocw executables ..."
-echo "export PYTHONPATH=${ocw_path}/climate:${ocw_path}/climate/ocw" >> ${HOME}/.bashrc
+echo "export PYTHONPATH=${ocw_path}:${ocw_path}/ocw" >> ${HOME}/.bashrc
 subtask "done"


[3/5] climate git commit: CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script

Posted by le...@apache.org.
CLIMATE-548 Vagrant references should not exist in easy-ocw ubuntu script


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/8617af0c
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/8617af0c
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/8617af0c

Branch: refs/heads/master
Commit: 8617af0c09cee2760bc2f967d4c29b1ba2476487
Parents: bf96668
Author: Lewis John McGibbney <le...@jpl.nasa.gov>
Authored: Thu Nov 20 22:18:59 2014 -0800
Committer: Lewis John McGibbney <le...@jpl.nasa.gov>
Committed: Thu Nov 20 22:18:59 2014 -0800

----------------------------------------------------------------------
 easy-ocw/install-ubuntu.sh | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/climate/blob/8617af0c/easy-ocw/install-ubuntu.sh
----------------------------------------------------------------------
diff --git a/easy-ocw/install-ubuntu.sh b/easy-ocw/install-ubuntu.sh
index 3b96214..f004330 100755
--- a/easy-ocw/install-ubuntu.sh
+++ b/easy-ocw/install-ubuntu.sh
@@ -21,16 +21,17 @@ help()
 {
 cat << ENDHELP
 
-Easy OCW assists with the building of the Apache Open Climate Workbench and its dependencies
+Easy OCW assists with the building of the Apache Open Climate Workbench and 
+its dependencies.
 
 Flags:
     -h  Display this help message.
     -e  Install and configure a virtualenv environment before installation.
     -q  Quiet install. User prompts are removed (when possible).
 
-It is recommended that you pass -e when running this script. If you don't, parts
-of this installation will pollute your global Python install. If you're unsure,
-pass -e just to be safe!
+It is recommended that you pass -e when running this script. If you don't, 
+parts of this installation will pollute your global Python install. 
+If you're unsure, pass -e just to be safe!
 
 N.B. This install script has been tested against Ubuntu 12.04 and 14.04.
 Please report problems with this script to dev@climate.apache.org
@@ -104,6 +105,8 @@ VIRTUALENV_WARNING
 fi
 
 read -p "Press [ENTER] to begin installation ..."
+echo -n "Please specify a full path to where your OCW download is then press [ENTER] ..."
+read ocw_path
 fi
 
 header "Checking for pip ..."
@@ -186,6 +189,6 @@ header "Installing additional Python packages"
 pip install -r ocw-pip-dependencies.txt >> install_log
 
 # Ensure that the climate code is included in the Python Path
-header "Updating PYTHONPATH ..."
-echo "export PYTHONPATH=${HOME}/climate:${HOME}/climate/ocw" >> ${HOME}/.bashrc
+header "Updating PYTHONPATH with ocw executables ..."
+echo "export PYTHONPATH=${ocw_path}/climate:${ocw_path}/climate/ocw" >> ${HOME}/.bashrc
 subtask "done"


[5/5] climate git commit: Merge branch 'CLIMATE-548'

Posted by le...@apache.org.
Merge branch 'CLIMATE-548'


Project: http://git-wip-us.apache.org/repos/asf/climate/repo
Commit: http://git-wip-us.apache.org/repos/asf/climate/commit/c8d49eb3
Tree: http://git-wip-us.apache.org/repos/asf/climate/tree/c8d49eb3
Diff: http://git-wip-us.apache.org/repos/asf/climate/diff/c8d49eb3

Branch: refs/heads/master
Commit: c8d49eb324598f2901dac7e207f91e6b6c9b37cc
Parents: 9bcae94 3827882
Author: Lewis John McGibbney <le...@jpl.nasa.gov>
Authored: Thu Dec 4 20:56:28 2014 -0800
Committer: Lewis John McGibbney <le...@jpl.nasa.gov>
Committed: Thu Dec 4 20:56:28 2014 -0800

----------------------------------------------------------------------
 easy-ocw/install-ubuntu-12_04.sh | 189 ---------------------------------
 easy-ocw/install-ubuntu.sh       | 194 ++++++++++++++++++++++++++++++++++
 ocw-vm/init-ocw-vm.sh            |   2 +-
 3 files changed, 195 insertions(+), 190 deletions(-)
----------------------------------------------------------------------